


With CONFIG_PCI=n:

arch/i386/kernel/cpu/cyrix.c: In function `init_cyrix':
arch/i386/kernel/cpu/cyrix.c:285: `cyrix_55x0' undeclared (first use in this function)
arch/i386/kernel/cpu/cyrix.c:285: (Each undeclared identifier is reported only once
arch/i386/kernel/cpu/cyrix.c:285: for each function it appears in.)

Make pci_dev_present() a macro.  It doesn't make sense to require that
pci_device_id's be in scope when CONFIG_PCI=n

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/linux/pci.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN include/linux/pci.h~config_pci-off-build-fix include/linux/pci.h
--- 25/include/linux/pci.h~config_pci-off-build-fix	2004-10-02 15:05:57.066348512 -0700
+++ 25-akpm/include/linux/pci.h	2004-10-02 15:06:23.568319600 -0700
@@ -897,8 +897,8 @@ unsigned int ss_vendor, unsigned int ss_
 
 static inline struct pci_dev *pci_get_class(unsigned int class, struct pci_dev *from)
 { return NULL; }
-static inline int pci_dev_present(const struct pci_device_id *ids)
-{ return 0; }
+
+#define pci_dev_present(ids)	(0)
 
 static inline void pci_set_master(struct pci_dev *dev) { }
 static inline int pci_enable_device(struct pci_dev *dev) { return -EIO; }
_
